/*	Sample program for Olimex AVR-P20 with AT90S2313 processor
 *	Press the BUTTON to set LED ON
 *	Release the BUTTON to start blink LED
 *	Compile with AVRStudio+WinAVR (gcc version 3.4.6)
 *	make sure LED-J is not closed while programming
 */

#include "avr/io.h"

int main()
{
	// + PORT Initialization +
	unsigned int i;
	PORTB = 0b10000000;
	DDRB = 0b10000000;

	PORTD = 0b00000000;
	DDRD = 0b00000000;

	// - PORT Initialization -

	while (1)
	{
		
		if (!(PIND & 0b00000100)) 			//if button pressed blink the LED
			{
				if (PINB & 0b10000000) PORTB = PORTB & 0b01111111;
								else	PORTB = PORTB | 0b10000000;
				for (i=30000; i; i--);
			} 
		else PORTB = PORTB | 0b10000000;	//clear the LED when button released
	}
	return 0;
}
